KILL(1)

NAMN
kill — skicka en signal till en eller flera processer

SYNOPSIS
kill [-q värde|--queue värde] pid …

kill -signal [-q värde|--queue värde] pid-eller-pgid …
kill -s signal [-q värde|--queue värde] pid-eller-pgid …
kill --signal signal [-q värde|--queue värde] pid-eller-pgid …

kill -l [signal]
kill --list [signal]

kill -L
kill --table

BESKRIVNING
kill skickar en signal till en eller flera processer enligt pid eller pgid, en process- eller processgruppidentifierare. signal(7) förklarar de olika varianterna och beteendena hos signaler. kills standardsignal för är TERM. Flaggorna -l och -L listar tillgängliga signaler. Särskilt användbara signaler inkluderar HUP, INT, KILL, STOP, CONT och 0. Ange signaler med nummer, namn eller namn med ett prefix ”SIG”; till exempel är -9, -SIGKILL och -KILL ekvivalenta. En negativ operand väljer en processgrupp; se kolumnen PGID i utdata från kommandot ps. En pid på -1 är speciell; den indikerar alla processer utom processen kill själv och init(8).

Flaggan -q använder en alternativ signaleringsmetod ör att ytterligare skicka ett heltalsvärde till en mottagande process. Om den processen har installerat en hanterare för signalen och angett flaggan SA_SIGINFO till sigaction(2) så kan den hämta denna data via fältet si_value i posten siginfo_t.

FLAGGOR

-signal
-s signal
--signal signal
    Skicka signal som namn elller nummer så som beskrivs ovan. Om signal är 0 (noll) skickar kill ingen signal, men validerar fortfarande sina operander; detta beteende gör det möjligt för anroparen att kontroller huruvida den angivna pid:erna och/eller pgid:erna finns och att den har rättigheter att skicka signaler till dem.

-q värde
--queue värde
    Använd sigqueue(3) istället för kill(2) för att dessutom skicka värde till varje pid eller pgid.

-l [signal]
--list [signal]
    Utan något argument, lista signalnamn. Det nöjliga argumentet gör att kill konverterar den angivna signalen från namn till numerisk form, eller vice versa vilket som är tillämpligt, och rapporterar översättningen.

-L
--table
    Lista signalnamn i tabellformat.

OBSERVERA
Skalet (kommandoradstolk) har ofta ett inbyggt ”kill”-kommando. Man kan behöva köra kommandot som beskrivs här som /bin/kill för att åsidosätta skalets inbyggda.

Om du använder en negativ operand, ange en signal med namn eller nummer först så att kill kan skilja det från en processgrupp. Till exempel är kommandot ”kill 123 -9” tvetydigt; det skulle kunna betyda att döda process 123 med signal 9, eller att döda process 123 och processgrupp 9 med standardsignalen.

EXEMPEL

kill -HUP -1
    Skicka avringningssignalen till alla processer du kan.

kill -l 11
    Rapportera namn motsvarande signalnummer 11.

kill 123 543
    Skicka standardsignalen, SIGTERM, till processerna 123 och 543.

kill -SIGTERM -123
    Skicka signalen SIGTERM till processgrupp 123.

SE ÄVEN
kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7), sigqueue(3), skill(1)

RAPPORTERA FEL
Skicka felrapporter till procps@freelists.org. Skicka synpunkter på översättningen till